Subject: Re: Unable to handle kernel paging request in show_instructions

From: Arnd Bergmann <[email-masked]>
Date: Tue, 20 Jun 2006 02:44:49 +0200

On Tuesday 20 June 2006 02:42, David Wilder wrote:

> But in this case the validation passes even though the address is 
> invalid.   Any ideas how to fix this?  Is there a easy way to validate 
> if a page is valid before accessing it?

The check that kallsyms_lookup does should find this, but it may
be overkill to call that function just to verify an address.

You might also have success calling vmalloc_to_page for a 0xd000...
address to check if that is really mapped.

	Arnd <><